## visad.data.netcdf.in
Class DataFactory

    java.lang.Object
      visad.data.netcdf.in.DataFactory

Direct Known Subclasses:
  FileDataFactory

public class DataFactory
extends Object

Provides support for creating VisAD Data objects from VirtualData objects.

Constructor Summary
`protected` `DataFactory()`

Method Summary
`static DataFactory` `instance()` Returns an instance of this class.
`DataImpl` `newData(Context context, VirtualData virtualData)` Creates a VisAD Data object from a netCDF indicial context and a VirtualData object.
`FieldImpl` `newData(Context context, VirtualField virtualField)` Creates a VisAD Field object from a netCDF indicial context and a VirtualField.
`FlatField` `newData(Context context, VirtualFlatField virtualField)` Creates a VisAD FlatField object from a netCDF indicial context and a VirtualFlatField.
`Scalar` `newData(Context context, VirtualScalar virtualScalar)` Creates a VisAD Scalar object from a netCDF indicial context and a VirtualScalar.
`DataImpl` `newData(Context context, VirtualTuple virtualTuple)` Creates a VisAD Data object from a netCDF indicial context and a VirtualTuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFactory

    protected DataFactory()

Method Detail

### instance

    public static DataFactory instance()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### newData

    public DataImpl newData(Context context,
                            VirtualData virtualData)
                     throws RemoteException,
                            VisADException,
                            InvalidContextException,
                            IOException

  Creates a VisAD Data object from a netCDF indicial context and a VirtualData object.

  Parameters:
    `context` - The netCDF indicial context.
    `virtualData` - The virtual data.
  Returns:
    The VisAD Data object corresponding to the input.
  Throws:
    `InvalidContextException` - Invalid indicial context.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.
    `IOException` - I/O failure.

### newData

    public Scalar newData(Context context,
                          VirtualScalar virtualScalar)
                   throws VisADException,
                          InvalidContextException,
                          IOException

  Creates a VisAD Scalar object from a netCDF indicial context and a VirtualScalar.

  Parameters:
    `context` - The netCDF indicial context.
    `virtualScalar` - The virtual data.
  Returns:
    The VisAD Real corresponding to the input.
  Throws:
    `InvalidContextException` - Invalid indicial context.
    `VisADException` - VisAD failure.
    `IOException` - I/O failure.

### newData

    public FlatField newData(Context context,
                             VirtualFlatField virtualField)
                      throws VisADException,
                             RemoteException,
                             IOException

  Creates a VisAD FlatField object from a netCDF indicial context and a VirtualFlatField.

  Parameters:
    `context` - The netCDF indicial context.
    `virtualField` - The virtual data.
  Returns:
    The VisAD FlatField corresponding to the input.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.
    `IOException` - I/O failure.

### newData

    public FieldImpl newData(Context context,
                             VirtualField virtualField)
                      throws VisADException,
                             RemoteException,
                             IOException

  Creates a VisAD Field object from a netCDF indicial context and a VirtualField.

  Parameters:
    `context` - The netCDF indicial context.
    `virtualField` - The virtual data.
  Returns:
    The VisAD Field corresponding to the input.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.
    `IOException` - I/O failure.

### newData

    public DataImpl newData(Context context,
                            VirtualTuple virtualTuple)
                     throws RemoteException,
                            VisADException,
                            IOException

  Creates a VisAD Data object from a netCDF indicial context and a VirtualTuple.

  Parameters:
    `context` - The netCDF indicial context.
    `virtualTuple` - The virtual data.
  Returns:
    The VisAD Tuple corresponding to the input.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.
    `IOException` - I/O failure.